﻿using System.Collections;
using UnityEngine;

namespace Assets.FishTank.Fish
{
    public class FishFacingDirection : MonoBehaviour
    {
        [SerializeField] private FishMovement _fishMovement;

        private void Update()
        {
            var movementDirection = _fishMovement.MovementDirection;
            var localScale = transform.localScale;
            localScale.x = movementDirection.x > 0 ? Mathf.Abs(localScale.x) : -Mathf.Abs(localScale.x);
            transform.localScale = localScale;
        }
    }
}